relNetworkM {maigesPack} | R Documentation

## Relevance Network analysis

### Description

Function to construct Relevance Networks comparing two distinct biological types.

### Usage

    relNetworkM(data=NULL, gLabelID="GeneName", sLabelID="Classification",
                geneGrp=NULL, path=NULL, samples=NULL,
                type="Rpearson", ...)

### Arguments

`data` | object of class `maiges`.
`gLabelID` | character string giving the identification of gene label ID.
`sLabelID` | character string giving the identification of sample label ID.
`geneGrp` | character string (or numeric index) specifying the gene group to calculate the correlation values between them. If NULL (together with path) all genes are used.
`path` | character string (or numeric index) specifying the gene network to calculate the correlation values between them. If NULL (together with geneGrp) all genes are used.
`samples` | a named list with two character vectors specifying the two groups that must be compared.
`type` | type of correlation to be calculated. May be 'Rpearson' (default), 'pearson', 'kendall' or 'spearman'.
`...` | additional parameters for functions `robustCorr` or `cor`.

### Details

This method uses the function `cor` to calculate the usual correlation values or `robustCorr` to calculate a robust correlation using an idea similar to the leave-one-out. The correlation values are calculated for pairs of genes in the two groups specified by the argument `samples`, then a Fisher's Z transformation are done to calculate the significance for the difference between the two correlation values, this is implemented in the function `compCorr`. This method was first used in the work from Gomes et al. (2005).

### Value

The result of this function is an object of class `maigesRelNetM`.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### References

Gomes, L.I.; Esteves, G.H.; Carvalho, A.F.; Cristo, E.B.; Hirata Jr., R.; Martins, W.K.; Marques, S.M.; Camargo, L.P.; Brentani, H.; Pelosof, A.; Zitron, C.; Sallum, R.A.; Montagnini, A.; Soares, F.A.; Neves, E.J. & Reis, L.F. Expression Profile of Malignant and Nonmalignant Lesions of Esophagus and Stomach: Differential Activity of Functional Modules Related to Inflammation and Lipid Metabolism, Cancer Research, 65, 7127-7136, 2005 (http://cancerres.aacrjournals.org/cgi/content/abstract/65/16/7127)

### See Also

`cor`, `robustCorr` `compCorr`, `maigesRelNetM`, `plot.maigesRelNetM`, `image.maigesRelNetM`.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Constructing the relevance network for sample
    ## 'Tissue' comparing 'Neso' and 'Aeso' for the 1st gene group
    gastro.net = relNetworkM(gastro.summ, sLabelID="Tissue",
      samples = list(Neso="Neso", Aeso="Aeso"), geneGrp=11,
      type="Rpearson")

[Package maigesPack version 1.4.0 Index]